Уязвимость BDU:2019-04233

Дата: 29.03.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04233.

Наименование уязвимости: Уязвимость дочерних FPM-процессов интерпретатора языка программирования PHP, позволяющая нарушителю обойти проверку доступа opcache и получить несанкционированный доступ к защищаемой информации.

Описание уязвимости: Уязвимость дочерних FPM-процессов интерпретатора языка программирования PHP связана с отсутствием защиты служебных данных. Эксплуатация уязвимости может позволить нарушителю обойти проверку доступа opcache и получить несанкционированный доступ к защищаемой информации
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 17.10 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система ООО «РусБИТех-Астра» Astra Linux Special Edition 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 12.04 ESM | Прикладное ПО информационных систем NetApp Inc. Storage Automation Store — | Операционная система Debian GNU/Linux 7.0 | Прикладное ПО информационных систем PHP Group PHP до 5.6.35 | Прикладное ПО информационных систем PHP Group PHP от 7.0.0 до 7.0.29 | Прикладное ПО информационных систем PHP Group PHP от 7.1.0 до 7.1.16 | Прикладное ПО информационных систем PHP Group PHP от 7.2.0 до 7.2.4 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Ubuntu 1710 | Ubuntu 1804 LTS | Astra Linux Special Edition 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1204 ESM | Debian GNU/Linux 70 |
Дата выявления: 29.03.2018.
CVSS 2.0: AV:L/AC:H/Au:S/C:C/I:N/A:N
Уровень опасности уязвимости: Низкий уровень опасности (базовая оценка CVSS 2.0 составляет 3,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 4,7)

Возможные меры по устранению:
Использование рекомендаций:
Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734

Для PHP:
https://www.php.net/ChangeLog-5.php
https://www.php.net/ChangeLog-7.php

Для Debian GNU/Linux:
https://www.debian.org/security/2018/dsa-4240
https://lists.debian.org/debian-lts-announce/2018/05/msg00004.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00005.html

Для программных продутов Red Hat Inc.:
https://bugzilla.redhat.com/show_bug.cgi?id=1563858

Для программных продутов NetApp Inc.:
https://security.netapp.com/advisory/ntap-20180607-0003/

Для Ubuntu:
https://usn.ubuntu.com/3646-1/
https://usn.ubuntu.com/3646-2/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-10545.

Тип ошибки CWE: CWE-200
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
https://www.php.net/ChangeLog-5.php
https://www.php.net/ChangeLog-7.php
https://www.debian.org/security/2018/dsa-4240
https://lists.debian.org/debian-lts-announce/2018/05/msg00004.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00005.html
https://bugzilla.redhat.com/show_bug.cgi?id=1563858
https://security.netapp.com/advisory/ntap-20180607-0003/
https://usn.ubuntu.com/3646-1/
https://usn.ubuntu.com/3646-2/
https://nvd.nist.gov/vuln/detail/CVE-2018-10545

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *